Subject: Offline Message from Jake lyle: Hi All, I bought a swagger 5 scooter a few y
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 09 Jun 2022 00:57:05 -0000

From: Jake lyle <[email-masked]>
Phone: 
Location: Chicago, United States
URL: https://swagtron.com/product/swagger-5-boost-electric-commuter-scooter/
Department: SwagTron

Hi All,

I bought a swagger 5 scooter a few years ago, however the battery went out on me last year. I tried replacing the charger, and nothing changed. Everything on the scooter functions normally, however the battery cannot hold a charge anymore. Is there any way I can purchase a new battery?

Thanks!

----
Zopim
https://www.zopim.com